كيف تجعل إضافاتك القديمة القيمة تتوافق مع متصفح فايرفوكس 3

Firefox 3والآن وبعد أن صدر الإصدار الثالث من متصفح فايرفوكس والتي تحتوي على كثير من المزايا التي تثير الإعجاب والتي سأعرض لها قريبا.  ولكني عند مروري الخاطف على بعض المدُونات وجدت البعض مُستاء من الإصدار الثالث من أنها لاتقبل بتركيب إضافته القديمة المفضلة وأنه يفضل البقاء على الإصدار الثاني!! برغم المزايا الجمة التي يزخر بها الإصدار الثالث. فهذة ليست مشكلة متصفح فايرفوكس 3 بقدر ما هي مشكلة المُطور صاحب الإضافة.  بالفعل إن معظم الإضافات المتواجدة حاليا هي غير متوافقة مع الإصدارة الثالثة من متصفح فايرفوكس. نظرا لذلك ستتعلم معي الأن حيلة سهلة التطبيق لكي تستطيع تركيب إضافاتك الهامة والتي لاغنى لك عنها  على متصفح فايرفوكس 3 وذلك بالرغم أنها قديمة وغير متوافقة مع الإصدارة الجديدة من متصفح فايرفوكس. وما يجب أن أعلمك إياه قبل تطبيق هذة الحيلة للتحايل على فايرفوكس 3 لتركيب إضافتك القديمة المفضلة هو أن ماسأقوم به قد يجعل متصفحك غير آمن وغير مستقر. لذلك إن كنت مُصرا على متابعة وتطبيق شرحي فهو على مسؤليتك.

تابع مع الخطوات التالية:

  1. أكتب في شريط عنوان المتصفح about:config ثم إضغط على Enter إدخال.
  2. ستظهر لك متصفح فايرفوكس 3 رسالة تحذرية من أن لاتحاول العبث بإعدادات فايرفوكس قد يعرض أمان متصفحك للخطر وإنخفاض أدائه. سنوافق على أننا متفهمين لما نقوم به.
  3. الآن إضغط إنقر بالزر الأيمن للفأرة في مكان فارغ ستظهر لك قائمة سياق إختر منها الأمر New جديد ثم أختر Boolean منطقي. سمي هذا الإعداد الجديد بإسم extensions.checkCompatibility وأجعل قيمته Flase.
  4. إنشئ قيمة منطقية أخرى كما في الخطوة السابقة بالأعلى ولكن سنسمي هذا الإعداد بهذا الإسم extensions.checkUpdateSecurity وإجعل قيمة هذا الإعداد Flase.
  5. أعد تشغيل فايرفوكس.

في بعض الأحوال النادرة قد يتوقف متصفح فايرفوكس عن البدأ أو العمل أو الإنهيار بسبب عدم توافقية بسبب تركيب الإضافات القديمة، وتستطيع تحديد وحل هذة المشكلة من خلال تشغيل المتصفح في Safe Mode وضع الأمان والرجوع بالإعدادات للوراء أو أن تحاول تمكين الإضافات واحدة تلو الأخرى لكي ترى أيهما تعمل والتي لاتعمل.

تهانينا وإستمتع الآن بإضافتك القيمة الغير متوافقة مع فايروكوس 3.

Advertisements

About mms911

مدمن إنترنت يقضي ساعات طويلة يجوب الإنترنت في قراءة آخر الأخبار لمتابعة اهتماماتي التكنولوجية المفضلة.
هذا المنشور نشر في أفكار وأسرار وكلماته الدلالية , . حفظ الرابط الثابت.

7 Responses to كيف تجعل إضافاتك القديمة القيمة تتوافق مع متصفح فايرفوكس 3

  1. أنا أفضل أن أنتظر تحديث الإضافات لتتوافق مع الاصدار الجديد
    من أن أفعل الطريقة أعلاه ..!

    لست خبيراً ولكن عدم العبث أفضل !
    أليس كذلك ؟

    😀

  2. mms911 كتب:

    أهلا بك أخي علي
    وماذا تفعل إذا مطور إضافتك المفضلة كسولا ولم يفكر في ترقية أو تطوير إضافته لكي تتوافق مع فايرفوكس 3 حتى الآن؟؟؟

  3. ابو جلال كتب:

    أنا شخصيا احب استخدام x-firefox2 أي فايرفوكس المحمول لأن لدي أكثرمن جهازين استخدمهما
    كل ماعليك فعله في هذه النسخة هو نسخ المجلد user الى النسخة الجديدة ودمتم
    اللينك
    http://download1us.softpedia.com/dl/fc87c0b5a2da492f78d5bd73ef75d9ba/486b5729/100084444/software/internet/browser/X-Firefox_3.0_en.zip

  4. التنبيهات: حل مشكلة توافقيات إضافات فايرفوكس Firefox | مدونة محمد بشير النعيمي

  5. ميم همزة كتب:

    للأسف هناك إضافات قديمة لا تعمل أو قد تشوه المتصفح أو تعطل بعض الوظائف، فينبغي توخي الحذر، ومحاولة استخدام البدائل أولا.

    مدونة الثعلب الناري:
    firefox.modawanati.com

  6. يعطيك ألف ألف عافيه على الشرح

    كنت محتاج غضافات كثيره مو متوافقه

    🙂

  7. ابو أحمد كتب:

    أعتبر هذا غير مجازفه وشيء عايدي

اترك تعليقك

إملأ الحقول أدناه بالمعلومات المناسبة أو إضغط على إحدى الأيقونات لتسجيل الدخول:

WordPress.com Logo

أنت تعلق بإستخدام حساب WordPress.com. تسجيل خروج   / تغيير )

صورة تويتر

أنت تعلق بإستخدام حساب Twitter. تسجيل خروج   / تغيير )

Facebook photo

أنت تعلق بإستخدام حساب Facebook. تسجيل خروج   / تغيير )

Google+ photo

أنت تعلق بإستخدام حساب Google+. تسجيل خروج   / تغيير )

Connecting to %s